<div class="mdc-card h-100" id="concept-card-{{ concept.getId() }}" data-concept-id="{{ concept.getId() }}">
    {% if concept.getMainImage() != null %}
        {% if concept.getMainImage().getPublicThumbnailUrl() != null %}
            {% set image = concept.getMainImage().getPublicThumbnailUrl() %}
        {% else %}
            {% set image = concept.getMainImage().getPublicUrl() %}
        {% endif %}
    {% else %}
        {% set image = asset('build/images/no-image.jpg') %}
    {% endif %}
    <div class="lazy-image-loader my-card__media mdc-card__media mdc-card__media--16-9" data-background-image="{{ image }}">
    </div>
    <div class="hoi-tag-box" id="concept_{{ concept.getId() }}_tag_container">
        {% if concept.getCompanyValues() != null %}
            {% for companyValue in concept.getCompanyValues() %}
                {% include 'company_location_management/component/hall_of_inspiration/company_value_icon_component.html.twig' with {'conceptId': concept.getId(), 'companyValue': companyValue, 'count': loop.index} only %}
            {% endfor %}
        {% endif %}
    </div>
    <div class="p-3 h-100">
        <p class="fs-5 mb-3">
            <strong>
                {{ concept.getBrandName() }}
            </strong>
        </p>
        {% if concept.getHallOfInspirationConceptBranches() != null %}
            <div class="d-flex flex-wrap mb-3">
                {% for branch in concept.getHallOfInspirationConceptBranches() %}
                    <div class="branch px-2 py-1 me-2 mb-2">
                        {{ branch.getName() }}
                    </div>
                {% endfor %}
            </div>
        {% endif %}
        <p class="small">
            {% if concept.getConceptDescription()|length > 260 %}
                {{ concept.getConceptDescription()|slice(0,257) }}...
            {% else %}
                {{ concept.getConceptDescription() }}
            {% endif %}
        </p>
    </div>
    <div class="d-flex flex-row mdc-card__actions align-self-center w-100 mb-1">
        <a href="{{ path('company_location_management_hall_of_inspiration_detail', {'id': concept.getId()}) }}" class="mdc-button mdc-button--raised mdc-button--leading bg-secondary ms-auto align-self-center w-100">
            <i class="material-icons me-3">visibility</i>
            <span class="mdc-button__label">Zur Inspiration</span>
        </a>
    </div>
</div>
